:root {
    --contact-accent-color: var(--company-blue);
    --input-highlight-shadow: 0 0 0 2px var(--company-blue);
    --contact-sec-bg: #24242a;
    --contact-sec-accent: #2c2c33;
}


.contact-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    background: var(--contact-sec-accent);
    border-radius: 16px;
    box-shadow: 0 0 4px rgb(0 0 0 / 20%);
    overflow: hidden;
    max-width: 1000px;
    width: calc(100% - 40px);
    margin: 20px 0;
}

/* Left section */
.contact-info {
    background: var(--contact-sec-bg);
    padding: 20px 40px;
}

.contact-info h3 {
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
    color: #777;
    margin-bottom: 10px;
}

.contact-info h1 {
    font-size: 36px;
    font-weight: 800;
    color: var(--text-color);
    margin-bottom: 15px;
    margin-top: 10px;
}

.contact-info p {
    color: rgb(170 170 170);
    line-height: 1.6;
    text-decoration: none;
}

.info-item {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-bottom: 25px;
    padding: 10px;
    background-color: var(--contact-sec-accent);
    border-radius: 10px;
    cursor: pointer;
}

.info-item:hover {
    filter: brightness(0.9);
}

.info-item .icon {
    background: var(--contact-accent-color);
    color: var(--current-tab-accent);
    border-radius: 12px;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
}

.label {
    font-weight: 600;
    color: var(--text-color);
    margin: 0;
}

.value {
    color: #555;
    margin: 0;
}

.socials {
    display: flex;
    gap: 25px;
    margin-top: 40px;
    font-size: 22px;
}

.socials a {
    color: #777;
    text-decoration: none;
    transition: color 0.2s ease;
}

.socials a:hover {
    color: var(--contact-accent-color);
}

/* Right section */
.contact-form {
    padding: 20px 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

form {
    display: flex;
    flex-direction: column;
}

label {
    font-size: 14px;
    color: var(--text-color);
    font-weight: 500;
    margin-bottom: 6px;
}

input,
textarea {
    padding: 12px 14px;
    border: 1px solid #ddd;
    border-radius: 8px;
    font-size: 15px;
    margin-bottom: 20px;
    transition: all 0.2s ease;
    font-family: inherit;
}

input:focus,
textarea:focus {
    outline: none;
    box-shadow: var(--input-highlight-shadow);
}

.contact-form button {
    background: var(--contact-accent-color);
    font-family: system-ui;
    color: #fff;
    border: none;
    padding: 14px;
    font-size: 15px;
    font-weight: 600;
    border-radius: 8px;
    cursor: pointer;
    transition: background 0.2s ease, transform 0.1s ease;
}

.contact-form button:active {
    transform: scale(0.98);
}

/* Responsive */
@media (max-width: 800px) {
    .info-item:last-child {
        margin-bottom: 0;
    }
    .socials {
        margin-top: 20px;
    }

    .info-item .icon {
        width: 40px;
        height: 40px;
    }

    .contact-container {
        grid-template-columns: 1fr;
        width: calc(100% - 30px);
        margin-top: 15px;
    }

    .contact-info,
    .contact-form {
        padding: 10px;
    }

    .contact-info h1 {
        font-size: 24px;
    }

    .contact-info p {
        font-size: 14px;
    }

    input, textarea {
        margin-bottom: 10px;
        font-size: 16px;
    }

}